#

API Docs for: 2.0.0
Show: Inherited Protected Private Deprecated

# AssetLoader Class

Uses

- EventTarget

Defined in: `src/pixi/loaders/AssetLoader.js:5`
Module: PIXI

A Class that loads a bunch of images / sprite sheet / bitmap font files. Once the assets have been loaded they are added to the PIXI Texture cache and can be accessed easily through PIXI.Texture.fromImage() and PIXI.Sprite.fromImage() When all items have been loaded this class will dispatch a 'onLoaded' event As each individual item is loaded this class will dispatch a 'onProgress' event

## Constructor

### `AssetLoader`

(

- `assetURLs`
- `crossorigin`

)

Defined in `src/pixi/loaders/AssetLoader.js:5`

#### Parameters:

- `assetURLs` Array

  An array of image/sprite sheet urls that you would like loaded supported. Supported image formats include 'jpeg', 'jpg', 'png', 'gif'. Supported sprite sheet data formats only include 'JSON' at this time. Supported bitmap font data formats include 'xml' and 'fnt'.

- `crossorigin` Boolean

  Whether requests should be treated as crossorigin

- Index
- Methods
- Properties
- Events

## Item Index

### Methods

- _getDataType
- emit
- listeners
- load
- mixin
- off
- on
- onAssetLoaded
- once
- removeAllListeners

### Properties

- assetURLs
- crossorigin
- loadersByType

### Events

- onComplete
- onProgress

## Methods

### `_getDataType`

(

- `str`

)

Defined in `src/pixi/loaders/AssetLoader.js:74`

Given a filename, returns its extension.

#### Parameters:

- `str` String

  the name of the asset

### `emit`

(

- `eventName`

)
Boolean

Inherited from EventTarget: `src/pixi/utils/EventTarget.js:54`

Emit an event to all registered event listeners.

#### Parameters:

- `eventName` String

  The name of the event.

#### Returns:

Boolean:

Indication if we've emitted an event.

### `listeners`

(

- `eventName`

)
Array

Inherited from EventTarget: `src/pixi/utils/EventTarget.js:41`

Return a list of assigned event listeners.

#### Parameters:

- `eventName` String

  The events that should be listed.

#### Returns:

Array:

An array of listener functions

### `load`

()

Defined in `src/pixi/loaders/AssetLoader.js:107`

Starts loading the assets sequentially

### `mixin`

(

- `object`

)

Inherited from EventTarget: `src/pixi/utils/EventTarget.js:34`

Mixes in the properties of the EventTarget prototype onto another object

#### Parameters:

- `object` Object

  The obj to mix into

### `off`

(

- `eventName`
- `callback`

)

Inherited from EventTarget: `src/pixi/utils/EventTarget.js:143`

Remove event listeners.

#### Parameters:

- `eventName` String

  The event we want to remove.

- `callback` Function

  The listener that we need to find.

### `on`

(

- `eventName`
- `callback`

)

Inherited from EventTarget: `src/pixi/utils/EventTarget.js:107`

Register a new EventListener for the given event.

#### Parameters:

- `eventName` String

  Name of the event.

- `callback` Functon

  fn Callback function.

### `onAssetLoaded`

() private

Defined in `src/pixi/loaders/AssetLoader.js:143`

Invoked after each file is loaded

### `once`

(

- `eventName`
- `callback`

)

Inherited from EventTarget: `src/pixi/utils/EventTarget.js:124`

Add an EventListener that's only called once.

#### Parameters:

- `eventName` String

  Name of the event.

- `callback` Function

  Callback function.

### `removeAllListeners`

(

- `eventName`

)

Inherited from EventTarget: `src/pixi/utils/EventTarget.js:173`

Remove all listeners or only the listeners for the specified event.

#### Parameters:

- `eventName` String

  The event you want to remove all listeners for.

## Properties

### `assetURLs`

Array

Defined in `src/pixi/loaders/AssetLoader.js:23`

The array of asset URLs that are going to be loaded

### `crossorigin`

Boolean

Defined in `src/pixi/loaders/AssetLoader.js:31`

Whether the requests should be treated as cross origin

### `loadersByType`

Object

Defined in `src/pixi/loaders/AssetLoader.js:39`

Maps file extension to loader types

## Events

### `onComplete`

Defined in `src/pixi/loaders/AssetLoader.js:66`

Fired when all the assets have loaded

### `onProgress`

Defined in `src/pixi/loaders/AssetLoader.js:61`

Fired when an item has loaded